/* Programmer's guide to GEM - 1986 - p.157 -listing 3.1 - CJPurcell Dec'86  */
/* CTRLNDC.C  - MAIN DRIVER for draw_ndc() examples  using Mark Williams C   */
/* to be tested in NDC and/or RC mode with or without GDOS for implications  */
#include <portab.h>                       /* ATARI DOGS & CATS */
#include <osbind.h>                       /* system constants  */
#include <gemdefs.h>                      /* GEM-definition    */
/* #include <obdefs.h>                    / *object definition */

WORD contrl[12], intin[128], ptsin[128], intout[128], ptsout[128];

#define M_OFF 256
#define NDC_COORDS 0
#define RIGHT_ALIGNED 2
#define BOTTOM_ALIGNED 3

VOID main()                           /*         not           GEMAIN()      */
{
        WORD handle, work_in[11], work_out[57];
        WORD ii;

        appl_init();                                    /* init AES for call */
        handle = graf_handle( &ii,&ii,&ii,&ii );        /* get screen handle */
        graf_mouse( M_OFF, NULL );                      /* hide mouse        */
        v_clrwk( handle );                              /* clear workstation */

        for( ii=0; ii<11; ++ii ) work_in[ii]=1;         /* init work_in array*/
        work_in[10] = NDC_COORDS;                    /* using NDC coordinates*/
        v_opnvwk( work_in, &handle, work_out );      /* open the workstation */

        draw_ndc( handle );                          /* do the examp.routine */

        vst_alignment( handle,RIGHT_ALIGNED,BOTTOM_ALIGNED,&ii,&ii );
        v_gtext( handle,32767,0,"Press any Key to Continue" );
        evnt_keybd();                                   /* pause for viewing */
        v_clsvwk( handle );                             /* close workstation */
        appl_exit();                                    /* tell AES finished */
}
